<?php
class Insign_Swisspost_Block_Adminhtml_Sales_Order_View_Info_Block extends Mage_Core_Block_Template {

    protected $order;

    public function getOrder() {
        if (is_null($this->order)) {
            if (Mage::registry('current_order')) {
                $order = Mage::registry('current_order');
            } elseif(Mage::registry('current_shipment')) {
                $shipment = Mage::registry('current_shipment');
                $order = $shipment->getOrder();
            } elseif (Mage::registry('order')) {
                $order = Mage::registry('order');
            }
            else {
                $order = new Varien_Object();
            }
            $this->order = $order;
        }
        return $this->order;
    }

    public function getInfo()
    {
        return Mage::helper('insign_swisspost/data')->getShippingAddressPostStatus($this->getOrder());
    }
}
