<?php
class Insign_Swisspost_Model_Observer {
    public function saveBillingObserver($observer) {
        $quote = Mage::getSingleton('checkout/session')->getQuote();
        $request =  Mage::app()->getFrontController()->getRequest();
        $billing = $request->getPost('billing');
        $postAddressStatus =$billing['post_address_status'] ?? '';
        $shippingAddress = $quote->getShippingAddress();
        if(!$postAddressStatus) {
            return $this;
        }
        $billingAddress = $quote->getBillingAddress();
        $billingAddress->setPostAddressStatus($postAddressStatus);
        if(!$shippingAddress->getSameAsBilling()) {
            $quote->setBillingAddress($billingAddress);
            $quote->save();
            return $this;
        }
        $shippingAddress->setPostAddressStatus($postAddressStatus);
        $quote->setShippingAddress($shippingAddress);
        $quote->setBillingAddress($billingAddress);
        $quote->save();
        return $this;
    }
    public function saveShippingObserver($observer) {
        $quote = Mage::getSingleton('checkout/session')->getQuote();
        $request =  Mage::app()->getFrontController()->getRequest();
        $shipping = $request->getPost('shipping');
        $postAddressStatus =$shipping['post_address_status'] ?? '';
        $shippingAddress = $quote->getShippingAddress();
        if(!$postAddressStatus) {
            return $this;
        }
        if($shippingAddress->getSameAsBilling())  {
            $billingAddress = $quote->getBillingAddress();
            $billingAddress->setPostAddressStatus($postAddressStatus);
            $quote->setBillingAddress($billingAddress);
        }
        $shippingAddress->setPostAddressStatus($postAddressStatus);
        $quote->setShippingAddress($shippingAddress);
        $quote->save();
        return $this;
    }
}
