<?php
$installer = Mage::getResourceModel('sales/setup', 'sales_setup');
$installer->startSetup();
$installer->addAttribute("order", "post_address_status", array("type"=>"varchar"));
$installer->addAttribute("quote", "post_address_status", array("type"=>"varchar"));

$installer->addAttribute('customer_address', 'post_address_status', array(
    'type' => 'varchar',
    'input' => 'text',
    'label' => 'Swiss Post address Status',
    'global' => 1,
    'visible' => 1,
    'required' => 0,
    'user_defined' => 1,
    'visible_on_front' => 1
));
Mage::getSingleton('eav/config')
    ->getAttribute('customer_address', 'post_address_status')
    ->save();

$sales_quote_address = $installer->getTable('sales/quote_address');
$installer->getConnection()
    ->addColumn($sales_quote_address, 'post_address_status', array(
        'type' => Varien_Db_Ddl_Table::TYPE_TEXT,
        'comment' => 'Swiss Post address Status'
    ));

/**
 * Adding Extra Column to sales_flat_order_address
 * to store the delivery instruction field
 */
$sales_order_address = $installer->getTable('sales/order_address');
$installer->getConnection()
    ->addColumn($sales_order_address, 'post_address_status', array(
        'type' => Varien_Db_Ddl_Table::TYPE_TEXT,
        'comment' => 'Swiss Post address Status'
    ));
$installer->endSetup();
