<?php

/* @var $installer Mage_Core_Model_Resource_Setup */
$installer = $this;

$installer->startSetup();
$table = $installer->getConnection()
    ->newTable($installer->getTable('insign_swisspost_token'))
    ->addColumn(
        'entity_id',
        Varien_Db_Ddl_Table::TYPE_INTEGER,
        null,
        [
            'identity'  => true,
            'nullable'  => false,
            'primary'   => true,
        ],
        'Token ID'
    )
    ->addColumn(
        'token',
        Varien_Db_Ddl_Table::TYPE_TEXT, null,
        [
            'nullable'  => false,
        ],
        'Token'
    )
    ->addColumn(
        'scope',
        Varien_Db_Ddl_Table::TYPE_TEXT, 255,
        [
            'nullable'  => false,
        ],
        'Scope'
    )
    ->addColumn(
        'expire_in',
        Varien_Db_Ddl_Table::TYPE_INTEGER, null,
        [
            'nullable'  => false,
        ],
        'Expire In unix integer time'
    )
    ->addColumn(
        'created_at',
        Varien_Db_Ddl_Table::TYPE_TIMESTAMP,
        null,
        ['default'   => Varien_Db_Ddl_Table::TIMESTAMP_INIT],
        'Token Creation Time'
    )
    ->addColumn(
        'updated_at',
        Varien_Db_Ddl_Table::TYPE_TIMESTAMP,
        null,
        ['default'   => Varien_Db_Ddl_Table::TIMESTAMP_INIT_UPDATE],
        'Token Modification Time'
    )
    ->setComment('Token Table');

$installer->getConnection()->createTable($table);
$installer->endSetup();
