<?php

class Insign_Swisspost_Block_Adminhtml_Barcode_Edit extends Mage_Adminhtml_Block_Widget_Form_Container
{
    public function __construct()
    {
        parent::__construct();
        $this->_blockGroup = 'insign_swisspost';
        $this->_controller = 'adminhtml_barcode';
        $this->_updateButton(
            'save',
            'label',
            Mage::helper('insign_swisspost')->__('Generate Barcode')
        );
        $this->removeButton('reset');
        $this->removeButton('back');

        $this->_formScripts[] = "
            function saveAndContinueEdit() {
                editForm.submit($('edit_form').action+'back/edit/');
            }
        ";

    }
    public function getHeaderText()
    {
        $shipmentId = $this->getRequest()->getParam('shipment_id');
        $shipmentIncrementId = Mage::getModel('sales/order_shipment')->load($shipmentId)->getIncrementId();
        return Mage::helper('insign_swisspost')->__('Generate Barcode for %s Shipment', '#'.$shipmentIncrementId);
    }
}
