<?php
class Insign_Swisspost_Block_System_Config_Form_Field_ShippingMethodsProvider
    extends Mage_Core_Block_Html_Select
{
    public function _toHtml()
    {

        $methods = Mage::getSingleton('shipping/config')->getActiveCarriers();
        foreach($methods as $code => $carrier) {
            
            if (!$title = Mage::getStoreConfig("carriers/$code/title")) {
                $title = $code;
            }

            $this->addOption($code, $title);
        }
        return parent::_toHtml();
    }

    public function setInputName($value)
    {
        return $this->setName($value);
    }
}